build_firmware:
  image: debian:bookworm
  script:
    - apt update
    - apt install -y python3-pip build-essential gcc unzip wget zip gcc-avr binutils-avr avr-libc dfu-programmer dfu-util gcc-arm-none-eabi binutils-arm-none-eabi libnewlib-arm-none-eabi git
    - python3 -m pip install qmk
    - cd
    - qmk setup -y
    - qmk compile --keyboard 40percentclub/nein --keymap default
    - cp --verbose qmk_firmware/40percentclub_nein_default.hex .
  artifacts:
    paths:
      - ./40percentclub_nein_default.hex
